body {
    min-height: 100%;
    margin: auto;
    color: #777777;
    background-image: url("../images/background.png");
    border-color: #dddddd;
    font-family: Arial, 'Helvetica Neue', Helvetica, sans-serif; 
    position: relative;
}

header {
    width: 100%;
    position: fixed;
    top: 0;
    background: #ffffff;
    border-bottom-style: solid;
    border-bottom-color: #999;
    z-index: 1;
}

nav {
    max-width: 960px;
    margin: 0px auto;
    position: relative;
}

nav a:hover {
    color: #3e0ce8;
}

nav li{
    display: inline;
    padding: 0px 10px;
}

nav li:first-child {
    border-right: 1px solid #efefef;
    padding-right: 15px;
}

nav li:last-child {
    border-left: 1px solid #efefef;
    padding-left: 15px;
}

nav li a {
    color: #999;
    text-decoration: none;
}

nav li a.active {
    color: #999;
    text-decoration: none;
}

a:hover span {
    background: #3e0ce8;
}

article {
    background: #ffffff;
    max-width: 960px;
    box-sizing: border-box;
    margin-left: auto;
    margin-right: auto;
    margin-top: 100px;
    margin-bottom: 100px;
    padding: 20px;
    overflow: auto;
}

footer {
    background: #666666;
    border-color: #4aaaa5;
    border-width: 8px;
    border-top-style: solid;
    position: fixed;
    bottom: 0;
    height: 60px;
    text-align: center;
    color: #cccccc;
    width: 100%;
}

footer span{
    position: relative;
    top: 30px;
    margin-top: 40px;
    padding-bottom: 8px;
    font-size: 8pt;
    margin: auto;
}

h1 {
    display: inline-block;
    background: #4aaaa5;
    color: #ffffff;
    font-family: Georgia, 'Times New Roman', Times, serif;
    padding: 20px;
    margin: 0px;
}

h2 {
    color: #4aaaa5;
    font-family: Georgia, 'Times New Roman', Times, serif;
    padding-bottom: 20px;
    border-bottom-style: solid;
    border-color: #ccc;
}

p {
    line-height: 2em;
}

form {
    box-sizing: content-box;
    line-height: 30px;
}

input {
    width: 100%;
    padding: 5px;
    border: 1px solid #cccccc;
    padding-right: 0px;
}

input[type=submit] {
    width: 120px;
    height: 40px;
    margin: 10px;
    color: #ffffff;
    background: #4aaaa5;
    border: none;
    transition: background 0.5s ease-in-out;
}

input[type=submit]:hover {
    background: #3e0ce8;
}

textarea {
    height: 200px;
    width: 100%;
    resize: vertical;
    border: 1px solid #cccccc;
}

.portLink {
    width: 48%;
    float: left;
    margin: 10px 1%;
    box-sizing: border-box;
    position:relative;
}

.portLink img {
    width: 100%;
}

.portLink span {
    width: 100%;
    text-align: center;
    position: absolute;
    bottom: 0;
    line-height: 60px;
    color: #ffffff;
    font-size: 20px;
    background: #4aaaa5;
    margin-bottom: 5%;
    font-family: Georgia, 'Times New Roman', Times, serif;
    transition: background 0.5s ease-in-out;
}

.imgLabel {
    width: 100%;
    text-align: center;
    position: absolute;
    bottom: 0;
    line-height: 60px;
    color: #ffffff;
    font-size: 20px;
    background: #4aaaa5;
    margin-bottom: 10px;
    font-family: Georgia, 'Times New Roman', Times, serif;
}

#navlinks {
    float: right;
    margin-top: 25px;
}

#headshot {
    width: 200px;
    float: left;
    padding-right: 20px;
}

@media screen and (max-width: 768px) {
    header {
        position: static;
    }

    #headshot {
        width: 50%;
    }

    article {
        box-sizing: border-box;
        width: 90%;
        margin: 30px 5% 30px auto;
    }

    footer {
        position: relative;
    }

    .portLink {
        width: 48%;
        margin: 10px 1%;
    }
}

@media screen and (max-width: 640px) {
    h1 {
        text-align: center;
        width: 100%;
        padding: 20px 0px;
    }

    #navlinks {
        float: none;
    }

    header {
        position: static;
        /* overflow: auto; */
    }

    nav ul {
        text-align: center;
        padding-inline-start: 0px;
    }

    #headshot {
        width: 100%;
        display: block;
    }

    article {
        box-sizing: border-box;
        width: 90%;
        margin: 30px 5% 30px auto;
    }

    
    footer {
        position: relative;
    }

    .portLink {
        width:100%;
        margin:10px 0px;
    }
}
